View Issue Details

IDProjectCategoryView StatusLast Update
0014767LazarusIDEpublic2011-01-07 12:22
ReporterAlexander S. KleninAssigned ToMichael Van Canneyt 
PrioritynormalSeveritymajorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version0.9.29 (SVN)Product Build 
Target Version0.9.30Fixed in Version0.9.29 (SVN) 
Summary0014767: LazDE: Unable to create skeleton documentation
DescriptionThere are two problems:
1) "OK" button on frmmakeskel form is disabled (at design-time).
  I do not understand how it could work for anybody.
  I do not provide a patch for this, since re-saving this form
  creates too much noise changes -- it is easier to just change
  Enabled to true manually.
2) CreateSkeletonFile function tries to quote arguments for --input option
  of makeskel utility, but fails, at least on Windows.
  Attached patch fixed Windows issue, but probably breaks other platforms --
  need come cross-platform solution here.
TagsNo tags attached.
Fixed in Revision28535
LazTarget0.9.30
WidgetsetWin32/Win64
Attached Files
  • lazde_makeskel_quoting.patch (475 bytes)
    Index: frmmain.pp
    ===================================================================
    --- frmmain.pp	(revision 22070)
    +++ frmmain.pp	(working copy)
    @@ -685,7 +685,7 @@
       With S do
         begin
         cmd:=cmdMakeSkel+' ';
    -    cmd:=cmd+format('--input=''%s %s''',[Inputfile,Additionaloptions]);
    +    cmd:=cmd+format('"--input=%s %s"',[Inputfile,Additionaloptions]);
         cmd:=cmd+' --output='+OutputFile;
         cmd:=cmd+' --package='+PackageName;
         If DisableErrors then
    

Activities

2009-10-09 06:18

 

lazde_makeskel_quoting.patch (475 bytes)
Index: frmmain.pp
===================================================================
--- frmmain.pp	(revision 22070)
+++ frmmain.pp	(working copy)
@@ -685,7 +685,7 @@
   With S do
     begin
     cmd:=cmdMakeSkel+' ';
-    cmd:=cmd+format('--input=''%s %s''',[Inputfile,Additionaloptions]);
+    cmd:=cmd+format('"--input=%s %s"',[Inputfile,Additionaloptions]);
     cmd:=cmd+' --output='+OutputFile;
     cmd:=cmd+' --package='+PackageName;
     If DisableErrors then

Vincent Snijders

2009-10-23 19:24

manager   ~0031632

Target 0.9.30, it contains a patch after all.

Michael Van Canneyt

2010-11-28 16:39

administrator   ~0043662

* Applied the patch, thank you.
* Implemented the logic to enable/disable the OK button based on some input sanity checks (filenames OK, package identifier OK).
* Corrected tab order

Issue History

Date Modified Username Field Change
2009-10-09 06:18 Alexander S. Klenin New Issue
2009-10-09 06:18 Alexander S. Klenin File Added: lazde_makeskel_quoting.patch
2009-10-09 06:18 Alexander S. Klenin LazTarget => -
2009-10-09 06:18 Alexander S. Klenin Widgetset => Win32/Win64
2009-10-20 21:41 Vincent Snijders LazTarget - => 1.0
2009-10-20 21:41 Vincent Snijders Status new => acknowledged
2009-10-20 21:41 Vincent Snijders Target Version => 1.0.0
2009-10-23 19:24 Vincent Snijders LazTarget 1.0 => 0.9.30
2009-10-23 19:24 Vincent Snijders Note Added: 0031632
2009-10-23 19:24 Vincent Snijders Assigned To => Michael Van Canneyt
2009-10-23 19:24 Vincent Snijders Status acknowledged => assigned
2009-10-23 19:24 Vincent Snijders Target Version 1.0.0 => 0.9.30
2010-11-28 16:39 Michael Van Canneyt Fixed in Revision => 28535
2010-11-28 16:39 Michael Van Canneyt Status assigned => resolved
2010-11-28 16:39 Michael Van Canneyt Fixed in Version => 0.9.29 (SVN)
2010-11-28 16:39 Michael Van Canneyt Resolution open => fixed
2010-11-28 16:39 Michael Van Canneyt Note Added: 0043662
2011-01-07 12:22 Alexander S. Klenin Status resolved => closed